×
INTELLIGENT WORK FORUMS
FOR COMPUTER PROFESSIONALS

Log In

Come Join Us!

Are you a
Computer / IT professional?
Join Tek-Tips Forums!
  • Talk With Other Members
  • Be Notified Of Responses
    To Your Posts
  • Keyword Search
  • One-Click Access To Your
    Favorite Forums
  • Automated Signatures
    On Your Posts
  • Best Of All, It's Free!
  • Students Click Here

*Tek-Tips's functionality depends on members receiving e-mail. By joining you are opting in to receive e-mail.

Posting Guidelines

Promoting, selling, recruiting, coursework and thesis posting is forbidden.

Students Click Here

Jobs

Element Manager 62.0.5 can't connect but older version can

Element Manager 62.0.5 can't connect but older version can

Element Manager 62.0.5 can't connect but older version can

(OP)
I just commissioned a new laptop and have installed newest and older versions of Java that I know EM needs to operate correctly. I pulled down the latest version 62.0.5 from Avaya's website. Every time I try to connect to any BCM 400 or 50/450 I get BCM Detector cannot detect device type for BCM at xxx.xxx.xxx.xxx. I pulled an older version of EM off of a BCM 50 R3 and it works fine to connect to any BCM including R5 and R6. I have uninstalled and reinstalled the 62.0.5 version but no change. Is it a Java issue and if so do you know what version of Java I'm missing?

RE: Element Manager 62.0.5 can't connect but older version can

What version Windows?
What BIT?
What version Java?
Did you remove the MD5 references?

________________________________________


=----(((((((((()----=
www.curlycord.com
Toronto, Canada

Add me to LinkedIN

RE: Element Manager 62.0.5 can't connect but older version can

(OP)
Win 10 Pro
64 bit
3 versions installed 1.8.0_181, _191, _66
Sorry don't know what this is

RE: Element Manager 62.0.5 can't connect but older version can

Well then....that makes two of us

I just noticed my BCM main page and the online EM upgrade page wouldn't load the java box 1.8.0 181 but EM still connects so different symptom.


This part is what you want:
Run Notepad as Administrator
Click File/Open and navigate to the security file:
C:\Program Files\Java\jre1.8.0_191\lib\ java.security

Search for reference to MD5,
Should look like this now jdk.jar.disabledAlgorithms=MD2, MD5, RSA keySize < 1024
Should look like this after jdk.jar.disabledAlgorithms=MD2, RSA keySize < 1024

Save file
Test

Link in FAQ: https://www.tek-tips.com/faqs.cfm?fid=7881 but needs updating.


I had done this and was working fine but all of a sudden it did not work (again Browser java box only), I am thinking IE11 changed or Windows slipped something in with updates.



________________________________________


=----(((((((((()----=
www.curlycord.com
Toronto, Canada

Add me to LinkedIN

RE: Element Manager 62.0.5 can't connect but older version can

I've recently installed Element manager on windows 10 64bit OK.

Make sure that you have Java version 8 issue 71 32 bit installed. I think you can use later issues of 8, but not certain.

Once installed, use the attached guide to modify the Java security.file. The main thing is to remove the "MD5 ," from that file as mentioned in the guide. There are more references to it on newer Java releases.

Once done, add the link of http://bcm.sipsw.com/ApplicationLauncher/ in the java site exception tab and have the security level set to high only.

Now try that link in Windows explorer but have opened in the Windows compatibility section. You will get a few messages to tick and it should install ok.

Firebird Scrambler

Nortel & Avaya Meridian 1 / Succession & BCM / Norstar Programmer

Website = http://somertel.com
linkedin

RE: Element Manager 62.0.5 can't connect but older version can

Fixed mine
Win 10 Pro
64 bit

"there are more references to it on newer Java releases."
Yes it was 3 then 1, now back to 3 references.

Uninstalled java

Reinstalled latest from java's site: 1.8.0_191 x86 (32 BIT)
-It kept my Exceptions list

Tips for ver 1.8.0_191
-Removed the MD5 references in C:\Program Files(x86)\Java\jre1.8.0_191\lib\ java.security
-Any line with a # in front is ignored by the software reading it so ignore it too such as "# example-jdk........MD5"
-All 3 lines that had the references of MD5 started with jdk
-2 references of MD5 and 1 reference of MD5withRSA
-Ignore these 3 references:
jdk.xml.dsig.secureValidationPolicy= disallowAlg http://www.w3.org/TR/1999/REC-xslt-19991116, disallowAlg http://www.w3.org/2001/04/xmldsig-more#rsa-md5, disallowAlg http://www.w3.org/2001/04/xmldsig-more#hmac-md5, disallowAlg http://www.w3.org/2001/04/xmldsig-more#md5,

I still need to wait about 30 to 45 seconds for the grey java box in IE11 to populate with the settings.

Again Firefox and Chrome no longer support java
IE ...only version 11




________________________________________


=----(((((((((()----=
www.curlycord.com
Toronto, Canada

Add me to LinkedIN

Red Flag This Post

Please let us know here why this post is inappropriate. Reasons such as off-topic, duplicates, flames, illegal, vulgar, or students posting their homework.

Red Flag Submitted

Thank you for helping keep Tek-Tips Forums free from inappropriate posts.
The Tek-Tips staff will check this out and take appropriate action.

Reply To This Thread

Posting in the Tek-Tips forums is a member-only feature.

Click Here to join Tek-Tips and talk with other members!

Close Box

Join Tek-Tips® Today!

Join your peers on the Internet's largest technical computer professional community.
It's easy to join and it's free.

Here's Why Members Love Tek-Tips Forums:

Register now while it's still free!

Already a member? Close this window and log in.

Join Us             Close